<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/WoodBase/ChristmasTree.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/da0/_christmas_tree_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ChristmasTree.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/da0/_christmas_tree_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../d0/da0/_christmas_tree_8c.html#db/d9b/class_christmas_tree">ChristmasTree</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../df/d21/class_house.html">House</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/d21/class_house.html#a999b19f4de684df6d66572e23efa90ef">    3</a></span>    XmasTreeLight       <a class="code hl_variable" href="../../df/d21/class_house.html#a999b19f4de684df6d66572e23efa90ef">m_TreeLight</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../df/d21/class_house.html#a59f9b8dbc8109a9965669a9d2cb77ca6">    4</a></span>    <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a>         <a class="code hl_variable" href="../../df/d21/class_house.html#a59f9b8dbc8109a9965669a9d2cb77ca6">m_AmbientSoundLoop</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../df/d21/class_house.html#a56cc3f7a69608a7f899821fce257e4c7">    5</a></span>    <span class="keyword">const</span> <span class="keywordtype">string</span>        LOOP_SOUND = <span class="stringliteral">&quot;ChristmasMusic_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../df/d21/class_house.html#ad783e6e5485d597374fc4beeec12e424">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d21/class_house.html#ad783e6e5485d597374fc4beeec12e424">ChristmasTree</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>            m_TreeLight = XmasTreeLight.Cast( <a class="code hl_class" href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a>.CreateLight( XmasTreeLight, <span class="stringliteral">&quot;0 0 0&quot;</span> ) );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>            m_TreeLight.AttachOnMemoryPoint( <span class="keyword">this</span>, <span class="stringliteral">&quot;action&quot;</span> );</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../df/d21/class_house.html#a0ba26723f95fe30b76cd4ac0cd6e6aaf">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d21/class_house.html#a0ba26723f95fe30b76cd4ac0cd6e6aaf">EEInit</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#a1cbe8c0fcb4060231c39571dfd5fe665">PlaySoundSetLoop</a>( m_AmbientSoundLoop, LOOP_SOUND, 0, 0 );</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../df/d21/class_house.html#ac4173a8bbda3f379688bc01952b4bc6a">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d21/class_house.html#ac4173a8bbda3f379688bc01952b4bc6a">EEDelete</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <span class="keywordflow">if</span> ( m_TreeLight )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                m_TreeLight.Destroy();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">if</span> ( m_AmbientSoundLoop )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#aec7ef95de317ab1011f04c6c5c496248">DestroyEffect</a>(m_AmbientSoundLoop);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>};</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d0/da0/_christmas_tree_8c.html">   35</a></span><span class="keyword">class </span>ChristmasTree_Green <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/da0/_christmas_tree_8c.html#db/d9b/class_christmas_tree">ChristmasTree</a> {};</div>
<div class="ttc" id="a_christmas_tree_8c_html_db/d9b/class_christmas_tree"><div class="ttname"><a href="../../d0/da0/_christmas_tree_8c.html#db/d9b/class_christmas_tree">ChristmasTree</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da0/_christmas_tree_8c_source.html#l00035">ChristmasTree.c:35</a></div></div>
<div class="ttc" id="a_object_8c_html_a1cbe8c0fcb4060231c39571dfd5fe665"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a1cbe8c0fcb4060231c39571dfd5fe665">PlaySoundSetLoop</a></div><div class="ttdeci">bool PlaySoundSetLoop(out EffectSound sound, string sound_set, float fade_in, float fade_out)</div><div class="ttdoc">EffectSound - plays soundset on this object in loop and returns state of the sound (true - played,...</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l01096">Object.c:1096</a></div></div>
<div class="ttc" id="aclass_effect_sound_html"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html">EffectSound</a></div><div class="ttdoc">Wrapper class for managing sound through SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00004">EffectSound.c:5</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_house_html"><div class="ttname"><a href="../../df/d21/class_house.html">House</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d59/_crash_base_8c_source.html#l00001">CrashBase.c:2</a></div></div>
<div class="ttc" id="aclass_house_html_a0ba26723f95fe30b76cd4ac0cd6e6aaf"><div class="ttname"><a href="../../df/d21/class_house.html#a0ba26723f95fe30b76cd4ac0cd6e6aaf">House::EEInit</a></div><div class="ttdeci">override void EEInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da0/_christmas_tree_8c_source.html#l00016">ChristmasTree.c:16</a></div></div>
<div class="ttc" id="aclass_house_html_a59f9b8dbc8109a9965669a9d2cb77ca6"><div class="ttname"><a href="../../df/d21/class_house.html#a59f9b8dbc8109a9965669a9d2cb77ca6">House::m_AmbientSoundLoop</a></div><div class="ttdeci">EffectSound m_AmbientSoundLoop</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da0/_christmas_tree_8c_source.html#l00004">ChristmasTree.c:4</a></div></div>
<div class="ttc" id="aclass_house_html_a999b19f4de684df6d66572e23efa90ef"><div class="ttname"><a href="../../df/d21/class_house.html#a999b19f4de684df6d66572e23efa90ef">House::m_TreeLight</a></div><div class="ttdeci">XmasTreeLight m_TreeLight</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da0/_christmas_tree_8c_source.html#l00003">ChristmasTree.c:3</a></div></div>
<div class="ttc" id="aclass_house_html_ac4173a8bbda3f379688bc01952b4bc6a"><div class="ttname"><a href="../../df/d21/class_house.html#ac4173a8bbda3f379688bc01952b4bc6a">House::EEDelete</a></div><div class="ttdeci">override void EEDelete(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da0/_christmas_tree_8c_source.html#l00024">ChristmasTree.c:24</a></div></div>
<div class="ttc" id="aclass_house_html_ad783e6e5485d597374fc4beeec12e424"><div class="ttname"><a href="../../df/d21/class_house.html#ad783e6e5485d597374fc4beeec12e424">House::ChristmasTree</a></div><div class="ttdeci">void ChristmasTree()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da0/_christmas_tree_8c_source.html#l00007">ChristmasTree.c:7</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a></div><div class="ttdoc">Manager class for managing Effect (EffectParticle, EffectSound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00005">EffectManager.c:6</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html_aec7ef95de317ab1011f04c6c5c496248"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html#aec7ef95de317ab1011f04c6c5c496248">SEffectManager::DestroyEffect</a></div><div class="ttdeci">static void DestroyEffect(Effect effect)</div><div class="ttdoc">Unregisters, stops and frees the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00267">EffectManager.c:267</a></div></div>
<div class="ttc" id="aclass_scripted_light_base_html"><div class="ttname"><a href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d26/_point_light_base_8c_source.html#l00001">PointLightBase.c:2</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_b0c21cccdef181c8335a3a119226b4c1.html">WoodBase</a></li><li class="navelem"><a class="el" href="../../d0/da0/_christmas_tree_8c.html">ChristmasTree.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
